from time import time

class Chronometre :
    def __init__(self) -> None:        
        self.temps_initial = 0.0
        self.temps_final = 0.0
        self.duree_intermediaire = 0.0
        self.en_marche = False

    def demarrer(self) -> None:        
        self.temps_initial = time()
        self.en_marche = True

    def interrompre(self) -> None:
        self.temps_final = time()
        self.duree_intermediaire += self.temps_final - self.temps_initial
        self.en_marche = False
        self.temps_initial = 0.0
        self.temps_final = 0.0

    def remettre_a_zero(self) -> None:
        if self.en_marche :
            self.en_marche = False
        self.temps_initial = 0.0
        self.temps_final = 0.0
        self.duree_intermediaire = 0.0

    def duree(self):
        if self.en_marche :
            self.temps_final = time()
        return self.temps_final - self.temps_initial + self.duree_intermediaire

    def mesure_en_cours(self)->bool:
        return self.en_marche

    def __str__(self):
        duree = self.duree()
        mm = int(duree // 60)
        ss = int(duree%60)
        cc = int(round(duree - ss, 2)*100)        
        return '{:02d}'.format(mm)+":"+'{:02d}'.format(ss)+"."+'{:02d}'.format(cc)

chrono = Chronometre()

chrono.demarrer()

s = 0
for i in range(10000000):
    s += 1

chrono.interrompre()

print(chrono)